ComSquare::Renderer::IRenderer Class Referenceabstract

`#include <IRenderer.hpp>`

Inheritance diagram for ComSquare::Renderer::IRenderer:
Collaboration diagram for ComSquare::Renderer::IRenderer:

## Public Member Functions

virtual void | setWindowName (std::string)=0
| Set a new name to the window, if there is already a name it will be overwrite. More...
virtual void | drawScreen ()=0
| Render the buffer to the window. More...
virtual void | putPixel (int x, int y, uint8_t rgba)=0
| Set a pixel to the coordinates x, y with the color rgba. More...

## Public Attributes

bool | shouldExit
| Tells to the program if the window has been closed, and therefore if he should stop. More...

## Member Function Documentation

## drawScreen()

virtual void ComSquare::Renderer::IRenderer::drawScreen | ( |  | ) |

pure virtual

Render the buffer to the window.

Implemented in ComSquare::Renderer::SFRenderer.

## putPixel()

virtual void ComSquare::Renderer::IRenderer::putPixel | ( | int | x,
|  | int | y,
|  | uint8_t | rgba
| ) |  |

pure virtual

Set a pixel to the coordinates x, y with the color rgba.

Implemented in ComSquare::Renderer::SFRenderer.

## setWindowName()

virtual void ComSquare::Renderer::IRenderer::setWindowName | ( | std::string |  | ) |

pure virtual

Set a new name to the window, if there is already a name it will be overwrite.

Implemented in ComSquare::Renderer::SFRenderer.

## Member Data Documentation

## shouldExit

bool ComSquare::Renderer::IRenderer::shouldExit

Tells to the program if the window has been closed, and therefore if he should stop.

The documentation for this class was generated from the following file:

- sources/Renderer/IRenderer.hpp